Summary: SNIA HBAAPI library
Name: libhbaapi
Version: 3.11
Release: 4%{?dist}
License: SNIA
URL: https://github.com/cleech/libHBAAPI
Source0: https://github.com/cleech/libHBAAPI/archive/v%{version}.tar.gz
Patch3000: libhbaapi-2.2.9-dl-linking.patch
Patch3001: libhbaapi-2.2.9-portspeed.patch
BuildRequires: make automake libtool

%description
The libhbaapi library is the Host Bus Adapter (HBA) API library for Fibre Channel 
and Storage Area Network (SAN) resources. It contains a unified API that programmers
can use to access, query, observe, and modify SAN and Fibre Channel services.

%package devel
Summary: Development files for libhbaapi
Requires: libhbaapi = %{version}-%{release}
Requires: pkgconfig

%description devel
Development libraries and header files for using libhbaapi.

%prep
%autosetup -n libHBAAPI-%{version} -p1

%build
./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name \*.la -delete

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/hba.conf
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 Wang Zhe <bessiewang@tencent.com> - 3.11-1
- initial build
